Bug 7609 - Improving links to find analytics and volumes when using UseControlnumber
Summary: Improving links to find analytics and volumes when using UseControlnumber
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-26 21:09 UTC by Katrin Fischer
Modified: 2012-12-14 12:52 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7609: Improving links to find analytics and volumes when using UseControlnumber (2.70 KB, patch)
2012-02-26 21:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7609: Improving links to find analytics and volumes when using UseControlnumber (2.70 KB, patch)
2012-02-26 21:41 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7609: Improving links to find analytics and volumes when using UseControlnumber (2.18 KB, patch)
2012-03-01 06:42 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7609: Improving links to find analytics and volumes when using UseControlnumber (4.66 KB, patch)
2012-03-03 18:11 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2012-02-26 21:09:31 UTC
There are cases when both links "Show analytics" and "Show volumes" will show up on a record. At the moment the link for both is the same, searching for all records with the 001 of the record in a $w subfield of other records.

By using the bib-level index the search links can be made more precise, so "Show analytics" will only bring up analytical records while "Show volumes" will find the linked volumes and monographical records.

Bib-level is the index on LDR pos. 7:
- For analytics: a, b
- For Volumes: everything except a, b

A record showing both links is:
- A serial: LDR pos. 7 = s
- Part of a traced series: LDR, pos. 19 = a or a monographic series 008, Continuing resource, pos. 21 = m
Comment 1 Katrin Fischer 2012-02-26 21:32:59 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2012-02-26 21:41:22 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2012-02-27 09:32:33 UTC
Looks good, but could you also add a patch for staff side?
Comment 4 Katrin Fischer 2012-02-27 09:37:06 UTC
Hi Marcel, thx for checking. I forgot about staff yesterday, will add another patch tonight.
Comment 5 Katrin Fischer 2012-03-01 06:42:00 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2012-03-01 06:42:19 UTC
First patch is for OPAC, second patch is for staff interface.
Comment 7 Jared Camins-Esakov 2012-03-03 18:11:42 UTC
Created attachment 8003 [details] [review]
Bug 7609: Improving links to find analytics and volumes when using UseControlnumber

To test:
- switch on UseControlnumber
- add a serial record with 001
  - ldr pos 19 = a or
  - 008 (continuing resource), pos 21 = m
- add 2 analytics with with $w subfields containing the 001 of the serial
  - one with ldr pos 7 = a
  - one with ldr pos 7 = b
- add 1-2 monographical records linked to the serial
  - 8xx $w subfield containing the 001 of the serial
  - 490

The serial should show 2 links (in both OPAC and Intranet):
'Show volumes' should only bring up the monographical records.
'Show analytics' should only find the analytical records.

Without the patch both links would find all linked records, no difference
between both links.

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 8 Marcel de Rooy 2012-03-12 14:15:52 UTC
QA Comment:
The remaining patch is for opac and staff. Small patch, touching few lines in xslt files. Looks good, works as described. Updating status.

Just wondering about a line in the direct context of the change for volumes: The test substring($controlField008,22,1)='m' is only relevant when leader7=s. Now, it is used in general. (New report or a followup?)
Comment 9 Paul Poulain 2012-03-14 13:10:58 UTC
This patch is specific to MARC21, i've pushed it without testing, and just added a (MARC21) at the end of the commit message
Comment 10 Jared Camins-Esakov 2012-05-09 17:07:06 UTC
This bug will be included in the Koha 3.6.5 release.